VirtualBox ne parvient pas à démarrer l'ordinateur après l'installation des extensions

35

Je viens d'ajouter un pack d'extension et mes machines Windows ne démarreront pas. C'est l'erreur que j'ai:

  

Impossible d'ouvrir une session pour la machine virtuelle Windoze 7.

     

La version de la structure d'assistance de l'appareil a changé.

     

Si vous avez récemment mis à niveau VirtualBox, assurez-vous d'avoir   mis fin à toutes les machines virtuelles et mis à jour les extensions packs. Si cette erreur   persiste, essayez de réinstaller VirtualBox.   (VERR_PDM_DEVHLPR3_VERSION_MISMATCH).

Result Code: NS_ERROR_FAILURE (0x80004005) Component: Console
Interface: IConsole {db7ab4ca-2a3f-4183-9243-c1208da92392}

Je ne veux vraiment pas réinstaller VB à nouveau, alors j'espère trouver une autre solution. J'ai essayé certaines des solutions proposées, mais elles ne fonctionnaient pas pour moi. Comment puis-je résoudre ce problème?

    
posée Aleksa 04.12.2013 - 21:47
la source

5 réponses

29

LA BONNE VOIE

Oui, les autres réponses sont correctes: vous avez une incompatibilité extension-virtualbox. Cependant, il existe un meilleur moyen, de manière plus Ubuntu, de résoudre ce problème en utilisant le programme d'installation de la distribution qui est présenté sous la forme virtualbox-ext-pack et qui se trouve dans le multivers.

  1. Si le multivers n’est pas activé, activez le multivers .
  2. Fermer VirtualBox.
  3. Dans le terminal, exécutez sudo apt-get install virtualbox-ext-pack

si pour quelque raison que ce soit déjà installé et que vous voulez avoir réinstallé (garantissant ainsi que vous résolvez tout le problème).

sudo apt-get --reinstall install virtualbox-ext-pack
    
réponse donnée Evan Carroll 17.03.2016 - 23:58
la source
19

La version d’extension-pack DOIT correspondre à la version de VirtualBox.

Vous pouvez le faire facilement dans Ubuntu en exécutant:

  

sudo apt-get --reinstall install virtualbox-ext-pack

Si cela ne résout toujours pas votre problème, vous pouvez installer manuellement l’extension correspondante VirtualBox, en suivant les instructions ci-dessous:

  1. Téléchargez le dernier fichier .deb pour Ubuntu à partir d'ici:
    lien

  2. Double-cliquez sur le fichier .deb téléchargé. Cela amènera Software Center.

  3. Cliquez sur le bouton Mettre à niveau pour installer la dernière version.
réponse donnée user2298875 04.12.2013 - 23:07
la source
5

Comme cela a déjà été dit

  

La version d’extension-pack DOIT correspondre à la version de VirtualBox.

Mais vous n'avez pas besoin d'installer la dernière version de VirtualBox - il vous suffit d'installer le pack d'extension correspondant.

Vous pouvez trouver toutes les anciennes versions de VirtualBox (et les extensions correspondantes) sur lien - téléchargez simplement le pack d'extension qui correspond strictement votre VirtualBox actuellement installé. Après avoir localisé votre numéro de version majeur, cliquez sur

Extension Pack  All Platforms

pour télécharger le pack d'extension approprié.

    
réponse donnée betatester07 29.01.2016 - 12:57
la source
2

Pour VirtualBox Version: 5.0.2-102096 ~ Ubuntu ~ trusty (je l'ai installé sur Mint Rosa 64 Cinnamon 17.3)

1) dans VirtualBox Manager:

fichier / préférences / extensions

  • supprimer le pack externe incriminé

2) téléchargez le bon pack externe

de lien

  • cliquez sur votre version
  • téléchargez l'extension (cliquez avec le bouton droit, enregistrez le lien ..)

3) dans VirtualBox Manager

fichier / préférences / extensions

  • ajouter le nouveau pack externe
réponse donnée smokinmoe 02.05.2016 - 05:12
la source
0

J'ai été confronté à la question lors de l'installation de Kali linux.I désactivé le contrôleur USB et il a commencé.Peut ne pas être la solution exacte que vous recherchez.Mais vous pouvez toujours essayer. désactiver usb2.0

    
réponse donnée nilakantha singh deo 30.09.2017 - 08:29
la source

Lire d'autres questions sur les étiquettes